List prices
Lists all prices on a pricelist.
Required permissions: PRICELIST
get/tenants/{tenantUid}/pricelists/{pricelistUid}/prices
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
pricelistUidstringRequiredPattern:
Reference to a Pricelist.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
priceProductExternalIdstringOptional
External reference to a product.
priceProductUidstringOptionalPattern:
Reference to a product uid.
^[A-Za-z0-9-_]+priceProductSkustringOptional
reference to a product sku.
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/pricelists/{pricelistUid}/prices
GET /v2/tenants/{tenantUid}/pricelists/{pricelistUid}/prices HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"price": 1,
"priceUid": "text",
"pricelistUid": "text",
"productExternalId": "text",
"productUid": "text",
"productName": "text",
"productRecommendedRetailPrice": 1,
"productSku": "text",
"brand": {
"brandUid": "text",
"name": "text"
},
"productGroup": {
"productGroupUid": "text",
"name": "text",
"path": [
{
"name": "text",
"parentUid": "text",
"productGroupUid": "text"
}
]
}
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

